Package org.apache.ignite.internal.processors.cache.transactions

## Interface IgniteTxStateAware

All Known Implementing Classes:
  `GridCacheTxRecoveryResponse`, `GridDhtTxFinishRequest`, `GridDhtTxPrepareRequest`, `GridDhtTxPrepareResponse`, `GridDistributedTxFinishRequest`, `GridDistributedTxPrepareRequest`, `GridDistributedTxPrepareResponse`, `GridNearTxFinishRequest`, `GridNearTxPrepareRequest`, `GridNearTxPrepareResponse`

    public interface IgniteTxStateAware

Marker interface for messages with transient TX state

### Method Summary

All Methods Instance Methods Abstract Methods
`IgniteTxState` `txState()`
`void` `txState​(IgniteTxState txState)`

### Method Detail

#### txState

    IgniteTxState txState()

Returns:
  Transient TX state.

#### txState

    void txState​(IgniteTxState txState)

Parameters:
  `txState` - Transient TX state.